%define name taktuk
%define version 3.7
%define release %mkrel 5
%define major 2
%define libname %mklibname %name %{major}
%define develname %mklibname -d %{name}
%define module %name
%define pname perl-%{module}

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Parallel, scalable launcher for cluster and lightweight grids
License: 	GPLv2+
Group: 		Networking/Remote access
url:		http://taktuk.gforge.inria.fr/
Source0: 	https://gforge.inria.fr/frs/download.php/5255/%{name}-%{version}.tar.gz
Provides: 	parallel-tools

%description
TakTuk is a tool for deploying parallel remote executions of commands to a
potentially large set of remote nodes. It spreads itself using an adaptive 
algorithm and sets up an interconnection network to transport commands and 
perform I/Os multiplexing/demultiplexing. The TakTuk mechanics dynamically
 adapt to environment (machine performance and current load, network 
contention) by using a reactive work-stealing algorithm that mix local 
parallelization and work distribution.

%package -n %{develname}
Summary:        Taktuk header files and static libraries
Group:          Development/Other
Requires:       %{libname} = %{version}
Conflicts:	%{_lib}taktuk0 < 3.7-4
Obsoletes:	%{_lib}taktuk0-devel < 3.7-4

%description -n %{develname}
Taktuk header files and static libraries

%package        -n %{libname}
Summary:        Parallel, scalable launcher for cluster devel
Group:          Development/Other
Obsoletes:	%{_lib}taktuk0 < 3.7-4

%description -n %{libname}
TakTuk is a tool for deploying parallel remote executions of commands to a
potentially large set of remote nodes.
All libs.

%package -n %{pname}
Summary:        Taktuk Perl file
Group:          Development/Perl
Requires:       %{name} = %{version}

%description -n %{pname}
Taktuk Perl Package

%prep
%setup -q -n %name-%version

%build
%configure2_5x --disable-static
%make
pushd Perl-Module
%{__perl} Makefile.PL INSTALLDIRS=vendor DESTDIR=%buildroot
%make
popd

%install
%makeinstall_std

pushd Perl-Module
%makeinstall_std
popd

find %{buildroot} -name '*.la' -delete

cp taktuk-light %buildroot/%{_bindir}/taktuk-light
chmod 755 %buildroot/%{_bindir}/taktuk-light

%files
%{_bindir}/taktuk
%{_bindir}/taktuk-light
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_defaultdocdir}/%name

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING DISCLAIMER INSTALL NEWS README sample_session.txt TODO *.html
%{_libdir}/libtaktuk.so.%{major}
%{_libdir}/libtaktuk.so.%{major}.*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/%name.pc

%files -n %{pname}
%doc AUTHORS ChangeLog COPYING DISCLAIMER INSTALL NEWS README sample_session.txt TODO *.html
%{perl_vendorlib}/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.7-5.mga3
+ Revision: 384033
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 13 2012 fwang <fwang> 3.7-4.mga3
+ Revision: 305219
- update file list
- update file list
- fix libname and devel package name

* Tue Feb 08 2011 ennael <ennael> 3.7-3.mga1
+ Revision: 49148
- remove mdk version
- imported package taktuk

